<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                template="/WEB-INF/templates/LoggedTemplate.xhtml"
                xmlns:p="http://primefaces.org/ui"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core">

    <ui:define name="contentPart">

        <h:form id="listNivelTabuladorForm">           
              <h:outputText 
                value="Catálogos comunes -> Niveles Tabulador" 
                style="font-weight: bold"/>

            <hr class="ui-separator ui-state-default ui-corner-all separator"></hr>            
            <h:outputText value="Administración de niveles tabulador" />
            <br/><br/>

            <div id="lstNivelesTab" align="center" >  
                <h:panelGrid columns="1" columnClasses="centered7" cellpadding="10" style="width: 60%">
                <p:dataTable
                    id="listadoNivelTabulador"
                    class="listadoNivelTabulador"
                    value="#{nivelTabuladorMB.lstNivelesTabulador}"
                    var="nivelTabulador"
                    paginator="true"
                    rows="10"                
                    style="font-size: small;
                    "
                    emptyMessage="No se encontraron niveles tabulador"
                    paginatorPosition="bottom"> 

                    <f:facet name="header">
                        Niveles Tabulador
                        <p:commandButton 
                            id="btnAddGrado" 
                            styleClass="botonpequeno"
                            title="Nuevo Nivel Tabulador"
                            icon="ui-icon-plusthick"
                            actionListener="#{nivelTabuladorMB.crearNivelTabulador()}"
                            style="display:inline; float:right; font-size:x-small;"
                            update="@(.pnAddNivelTab)"
                            oncomplete= "PF('addNivelTab').show();" >

                        </p:commandButton>


                    </f:facet>
                    

                    <p:column
                        sortBy="#{nivelTabulador.strNivel}"
                        filterBy="#{nivelTabulador.strNivel}"
                        style="font-size: small; width:5%; "
                        filterMatchMode="contains"
                        headerText="Nivel">
                        <h:outputText value="#{nivelTabulador.strNivel}"/>
                    </p:column> 

                    <p:column
                        sortBy="#{nivelTabulador.strActivo}"
                        filterBy="#{nivelTabulador.strActivo}"
                        style="font-size: small; width:5%; "
                        filterMatchMode="contains"
                        headerText="Estatus">
                        <h:outputText value="#{nivelTabulador.strActivo}"/>
                    </p:column>
                    
                    <p:column  
                        headerText="Acciones"
                        style="font-size:small;width:5%;"
                       >

                        <p:commandButton                        
                            title="Editar Nivel Tabulador"
                            update="@(.pnAddNivelTab)"
                            value="Editar"
                            actionListener="#{nivelTabuladorMB.editarNivelTabulador(nivelTabulador)}"
                            oncomplete= "PF('addNivelTab').show();"
                            ajax="true"
                            style="font-size: 70%;width: 80px" 
                            >
                        </p:commandButton>
                   

                        <p:commandButton
                            title="Activar/Inactivar"
                            actionListener="#{nivelTabuladorMB.cambiarEstatus(nivelTabulador)}"
                            update="listadoNivelTabulador"
                            value="Activar/Inactivar"
                            style="font-size: 70%;"
                            >
                            <p:confirm header="Confirmar" message="¿Desea #{nivelTabuladorMB.rhNomnNivelesTabularSelected.strActivo eq 'I'?'Activar':'Inactivar'} el nivel tabulador?" />
                        </p:commandButton>    
                    </p:column> 
                </p:dataTable>  
                </h:panelGrid>
            </div>

            <div align="center">
                <p:commandButton
                    value="Cerrar"
                    type="button"
                    onclick="location = '#{request.contextPath}#{commonDataMB.defaultTargetUrl}';">
                </p:commandButton>         
            </div>
        </h:form>

        <p:dialog id="pnAddNivelTab"
                  class="pnAddNivelTab"
                  widgetVar="addNivelTab" 
                  appendTo="@(body)" 
                  dynamic="true" 
                  modal="true" 
                  closable="false"
                  resizable="false"
                  draggable="false"
                  header="#{nivelTabuladorMB.rhNomnNivelesTabularSelected.intIdNivelTabular== null ?'Agregar':'Actualizar'} nivel tabulador">

            <h:form id="frmNivelTab" styleClass="frmNivelTab">

                <h:panelGrid columns="2" columnClasses="centered5,centered6" cellpadding="10">
                    <p:column>
                    <p:outputLabel for="txtNivel" 
                                   value="Nivel Tabulador" />
                    </p:column>
                    <p:column>
                    <p:inputText  id="txtNivel"
                                   class="txtNivel"
                                   required="true"
                                   maxlength="1"
                                   value="#{nivelTabuladorMB.nivelSelected}" 
                                   style="text-transform:uppercase;"
                                   requiredMessage="Nivel Tabulador requerido"
                                   >
                    </p:inputText>
                    </p:column>
                </h:panelGrid>
                <div align="right" > 
                    <p:commandButton value="#{nivelTabuladorMB.rhNomnNivelesTabularSelected.intIdNivelTabular == null ?'Agregar':'Actualizar'}"  
                                     update="@(.listadoNivelTabulador)" 
                                     process="@(.frmNivelTab)"
                                     style="font-size: 70%"
                                     actionListener="#{nivelTabuladorMB.guardar()}"
                                     ajax="true"/>
   <div style="width:5px;
                             height:auto;
                             display:inline-block;"/>
                    <p:commandButton value="Cerrar" 
                                     class="cerrar"
                                      style="font-size: 70%"
                                     process="@(.cerrar)"
                                     actionListener="#{nivelTabuladorMB.cerrar()}">
                    </p:commandButton>
                </div>
            </h:form>    
        </p:dialog>

        <h:form>
            <p:confirmDialog appendTo="@(body)" global="true" style="width: 450px;" closable="true" showEffect="fade" hideEffect="fade">
                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" />
                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" />
            </p:confirmDialog>
        </h:form>

    </ui:define>



</ui:composition>
